Open Lighting Architecture: ola::acn::PDU Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
ola::acn::PDU Class Referenceabstract
Inheritance diagram for ola::acn::PDU:

## Public Types
enum | vector_size { ONE_BYTE = 1 , TWO_BYTES = 2 , FOUR_BYTES = 4 }

## Public Member Functions
| PDU (unsigned int vector, vector_size size=FOUR_BYTES)
virtual unsigned int | Size () const
virtual unsigned int | VectorSize () const
virtual unsigned int | HeaderSize () const =0
virtual unsigned int | DataSize () const =0
void | SetVector (unsigned int vector)
virtual bool | Pack (uint8_t *data, unsigned int *length) const
virtual bool | PackHeader (uint8_t *data, unsigned int *length) const =0
virtual bool | PackData (uint8_t *data, unsigned int *length) const =0
virtual void | Write (ola::io::OutputStream *stream) const
virtual void | PackHeader (ola::io::OutputStream *stream) const =0
virtual void | PackData (ola::io::OutputStream *stream) const =0

## Static Public Member Functions
static void | PrependFlagsAndLength (ola::io::OutputBufferInterface *output, uint8_t flags=VFLAG_MASK|HFLAG_MASK|DFLAG_MASK)
static void | PrependFlagsAndLength (ola::io::OutputBufferInterface *output, unsigned int length, uint8_t flags)

## Static Public Attributes
static const uint8_t | VFLAG_MASK = 0x40
static const uint8_t | HFLAG_MASK = 0x20
static const uint8_t | DFLAG_MASK = 0x10

## Member Function Documentation

## ◆ PrependFlagsAndLength() [1/2]

void ola::acn::PDU::PrependFlagsAndLength | ( | ola::io::OutputBufferInterface * | output,
|  | uint8_t | flags = VFLAG_MASK | HFLAG_MASK | DFLAG_MASK )
| static

Prepend the flags and length to an OutputBufferInterface.

## ◆ PrependFlagsAndLength() [2/2]

void ola::acn::PDU::PrependFlagsAndLength | ( | ola::io::OutputBufferInterface * | output,
|  | unsigned int | size,
|  | uint8_t | flags )
| static

Prepend the flags and length to an OutputBufferInterface.

## ◆ Write()

void ola::acn::PDU::Write | ( | ola::io::OutputStream * | stream | ) | const
| virtual

Write the PDU to an OutputStream

Write this PDU to an OutputStream.

The documentation for this class was generated from the following files:

- libs/acn/PDU.h
- libs/acn/PDU.cpp